from hyperbolic.coordinate import Coordinate

"""The number of tiles that fit in a chunk."""
# COMPAT: keep this in sync with position.rs
_chunk_size = 32

class Chunk:
	"""Represents a contiguous piece of the world.

	In contrast to the situation between chunks,
	within a chunk everything is on a nice Euclidean plane.
	"""

	def __init__(self, coordinate: Coordinate, tiles, region):
		self.coordinate = coordinate
		self.tiles = tiles
		self.region = region

	def __getitem__(self, pos):
		return self.tiles[pos]
	def __setitem__(self, pos, value):
		self.tiles[pos] = value
