from dbecs.entity import Value, Component

class Sized(Component):
	"""Represent a cuboidal object's size along three axes."""

	size_x = Value(int)
	size_y = Value(int)
	size_z = Value(int)

	@classmethod
	def register(cls, entity, sx, sy, sz):
		self = cls(entity)
		self.size_x = sx
		self.size_y = sy
		self.size_z = sz
